Feedback on the Dell EMC PowerEdge R730xd (201409-15508)

Asked by Martin Robinson

I am looking to install Ubuntu on the Dell server - to replace a Windows Server installation.
I can see that the latest certified version is 16.04LTS, which is see is now End of Standard Support.

Is it likely that the newer versions will be certified with this hardware?
I am aiming to use to hold a Veeam repository with Immutable storage flags.

Thank you

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu-Certification Edit question
Assignee:
No assignee Edit question
Solved by:
Jeff Lane
Solved:
Last query:
Last reply:
Revision history for this message
Best Jeff Lane (bladernr) said :
#1

Hi.

Unfortunately, it is not likely at all that the R730xd (or any of that generation of servers) will be certified on any newer releases. The decision on which hardware to certify with which release is solely up to the OEM.

However, later releases of Ubuntu Server LTS should continue to work fine on them. The problems tend to come from running the latest hardware on older releases that may not have support for new hardware items (for example, the newest RAID or Network cards will likely not work on 16.04 as the kernels for 16.04 would not have the necessary driver support). But running 18.04 or 20.04 on your R730xd should be fine.

Jeff

Revision history for this message
Martin Robinson (martrob) said :
#2

Thanks for your reply Jeff.

I'll discuss this with the team, and hopefully we'll move forward with 20.04.

Might try and split the boot disk mirror in Windows server and install on one to test.

Cheers

Revision history for this message
Martin Robinson (martrob) said :
#3

Thanks Jeff Lane, that solved my question.